//Skript: heilen_Aktion.sqf   Hngt das Objekt an ein Fahrzeug an.
// Erstellt im Objekt eine Aktion fr den Aufruf des Skripts "Heilen.sqf"
//
//Das Skript ist im Editor in der Initialisierungszeile des Objekts aufzurufen!
// Damit ist es fr alle Spieler vorhanden.
//
//Parameter:
// 1. this                (Objket das die Aktion hat)
// 2. Name des Fahrzeuges (an welches das Objekt angehngt wird)
// 3. Position des Objekts am Fahrzeug  
//
//Beispiel fr das Objekt "Erste-Hilfe Schild" an einem "HMMWV-Fahrzeug":
//  temp = [this,FahrzeugName,[0,-2.4,-1.5]] execVM "heilen_Aktion.sqf";

private ["_ob1","_ob2","_pos","_aID"];

_ob1 = _this select 0;
_ob2 = _this select 1;
_pos = _this select 2;

//Aktion erstellen
_aID = _ob1 addAction ["Heilen","Heilen.sqf",[],1,true,true];

//Objekt an das Fahrzeug binden
if (local _ob1) then {_ob1 attachTo [_ob2, _pos]};

//Information der Spieler fr den Heilvorgang
while {alive _ob1 and alive _ob2} do
  {
    if (player distance _ob2 < 7) then
      {
        player sideChat "Heil-Aktion beim roten Kreuz des Fahrzeuges!";
        waitUntil {player distance _ob2 > 8}
      };
    sleep 1
  };
//Aktion lschen
if (local _ob1) then {_ob1 removeAction _aID}

